// показать/спрятать "мышь"
int mouse_x,mouse_y,mouse_but, mouse_nb, mouse_nbut;
 void mouse(int m)
{
 int mode;
 if (m==0) mode=2;else mode=m;
 asm{
     mov ax,mode //задание номера функции
     int 33h     //вызов прерывания №33
    }
}
// определение координат  и состояния кнопок "мыши"
void mStatus()
{
 int mbut, mx, my;
 asm{
     mov ax,3h //задание номера функции
     int 33h   //вызов прерывания №33
     mov mx,cx // координата Х
     mov my,dx // координата У
     mov mbut,bx // байт состояния кнопок
    }
  mouse_x = mx;
  mouse_y = my;
  mouse_but = mbut;
}
//перемещение "мыши" в заданную точку Xm,Ym
void mousemove(int xm, int ym)
 {
  asm{
    mov ax, 4
    mov cx, xm
    mov dx, ym
    int 33h
    }
 }
//определение числа нажатий левой кнопки "мыши"
void count()
 {
  if (mouse_but==0) mouse_nb=0;
  if ((mouse_but==1) && (mouse_nb==0)) {mouse_nbut++;mouse_nb=1;}
 }
//определение нахождения "мыши" в заданной области
int mousecoord(int x1,int y1, int x2, int y2)
{
  mStatus();
  if (mouse_x>=x1 && mouse_x<=x2 && mouse_y>=y1 && mouse_y<=y2) return 1;
  else return 0;
}